Applies a partial update to an offer. Only the fields present in the body are modified.
Path parameters
-
Unique identifier (GUID) of the acting user. All Transact Workflow resources are scoped to a user.
-
GUID of the offer.
PATCH
/transact-workflow/v1/users/{userId}/Offers/{offerId}
curl \
--request PATCH 'https://gateway.lwolf.com/transact-workflow/v1/users/{userId}/Offers/{offerId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "lw-subscription-key: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"closingDate":"2026-05-04T09:42:00Z","finalWalkthroughDate":"2026-05-04T09:42:00Z","possessionDate":"2026-05-04T09:42:00Z","offerDate":"2026-05-04T09:42:00Z","expirationDate":"2026-05-04T09:42:00Z","acceptanceDate":"2026-05-04T09:42:00Z","purchasePrice":650500,"deposit":100000}'
Request examples
{
"closingDate": "2026-05-04T09:42:00Z",
"finalWalkthroughDate": "2026-05-04T09:42:00Z",
"possessionDate": "2026-05-04T09:42:00Z",
"offerDate": "2026-05-04T09:42:00Z",
"expirationDate": "2026-05-04T09:42:00Z",
"acceptanceDate": "2026-05-04T09:42:00Z",
"purchasePrice": 650500,
"deposit": 100000
}
Response examples (400)
{
"error": "string",
"message": "string"
}
Response examples (401)
{
"error": "string",
"message": "string"
}
Response examples (403)
{
"error": "string",
"message": "string"
}
Response examples (404)
{
"error": "string",
"message": "string"
}